Subject: My fvwm2rc

From: Suzanne Britton <[email-masked]>
Date: Sat, 29 Sep 2001 15:13:53 -0400

As requested by Dominik, here's a copy of my .fvwm2rc file. I've pared it
down a little, but I've verified that the bug still occurs. It seems to happen
consistently after opening two rxvt's in a row via F1.

Suzanne

==============================================================================

############################ General Configuration ############################

ImagePath /usr/local/share/icons/48x48:/usr/local/share/icons/gnome48x48:/usr/local/share/icons/32x32:/usr/local/share/icons/copland32x32:/usr/local/share/icons/copland16x16

DeskTopSize     2x2
EdgeResistance  0 0
EdgeScroll      100 100
EdgeThickness   1
OpaqueMoveSize  0
SnapAttraction  10 All Screen

################################## Functions ##################################

AddToFunc StartFunction
   + I FvwmPager *
   + I FvwmIconMan

AddToFunc MaximizeAndRaise
   + I Maximize
   + I Raise

AddToFunc SelectWindow
   + I Focus
   + I Iconify false
   + I Raise

AddToFunc SelectWindowWithFlipFocus
   + I FlipFocus
   + I Iconify false
   + I Raise

AddToFunc TitlebarLeftClick
   + I Raise
   + M Move
   + D WindowShade

AddToFunc MakeThemeMenu
   + I DestroyMenu recreate ThemeMenu
   + I PipeRead 'fvwm-theme.pl -menu ThemeMenu'

AddToFunc MakeMP3PlaylistMenu
   + I PipeRead 'perlmp3 -output-top-menu MP3PlaylistMenu'

AddToFunc MakeMP3PlaylistSubmenu
   + I PipeRead "perlmp3 -output-submenu $0"

AddToFunc MakeSlashdotMenu
   + I PipeRead "fvwm-menu-headlines --site slashdot"

############################# Launcher Functions ##############################

AddToFunc LaunchTerm
   + I Exec $0 -name $1 -title xterm

AddToFunc LaunchRootTerm
   + I Exec $0 -name $1 -title "root xterm" -e su -

AddToFunc LaunchIgs
   + I Exec $0 -name $1 -title igs.net -e ssh igs.net

AddToFunc LaunchWWW
   + I Exec $0 -name $1 -title www.igs.net -e ssh www.igs.net

AddToFunc LaunchMutt
   + I Exec $0 -name $1 -e mutt -F ~/.muttrc_x

AddToFunc LaunchSlrn
   + I Exec $0 -name $1 -e slrn -i ~/.slrnrc_x

AddToFunc LaunchLinks
   + I Exec $0 -name $1 -e links

AddToFunc LaunchNapster
   + I Exec rxvt -name rxvt_full -title Napster -e nap

AddToFunc LaunchScrabble
   + I Exec rxvt -name rxvt_full -title MarlDOOM -e tf md

#################################### Menus ####################################

AddToMenu RootMenu "Root Menu" Title
   + "Term           ?-F1"      Popup TermMenu
   + "Root Term      ?-F2"      Popup RootTermMenu
   + "IGS            ?-F3"      Popup IGSMenu
   + "WWW            ?-F4"      Popup WWWMenu
   + "Mutt           ?-F5"      Popup MuttMenu
   + "Slrn           ?-F6"      Popup SlrnMenu
   + "Napster          F7"      LaunchNapster
   + "Scrabble         F8"      LaunchScrabble
   + "Word Mine        F9"      Exec wordmine
   + "Netscape         F10"     Exec netscape
   + "Gimp             F11"     Exec gimp
   + "Fvwm Console     F12"     FvwmConsole -terminal rxvt
   + ""                         Nop
   + "Themes         A-Menu"    Popup ThemeMenu
   + "Slashdot       S-Menu"    Popup slashdot
   + "MP3 Playlist   C-Menu"    Popup MP3PlaylistMenu
   + "MP3 Controls"             Popup MP3ControlsMenu
   + ""                         Nop
   + "Lock           A-F10"     Exec xscreensaver-command -lock
   + "Restart        A-F11"     Restart
   + "Exit           A-F12"     Quit

AddToMenu TermMenu
   + "Normal"        LaunchTerm rxvt  rxvt
   + "Brushed"       LaunchTerm rxvt  rxvt_brushed
   + "Fullscreen"    LaunchTerm rxvt  rxvt_full
   + "Transparent"   LaunchTerm aterm aterm

AddToMenu RootTermMenu
   + "Normal"        LaunchRootTerm rxvt  rxvt
   + "Brushed"       LaunchRootTerm rxvt  rxvt_brushed
   + "Fullscreen"    LaunchRootTerm rxvt  rxvt_full
   + "Transparent"   LaunchRootTerm aterm aterm

AddToMenu IGSMenu
   + "Normal"        LaunchIGS rxvt  rxvt
   + "Brushed"       LaunchIGS rxvt  rxvt_brushed
   + "Fullscreen"    LaunchIGS rxvt  rxvt_full
   + "Transparent"   LaunchIGS aterm aterm

AddToMenu WWWMenu
   + "Normal"        LaunchWWW rxvt  rxvt
   + "Brushed"       LaunchWWW rxvt  rxvt_brushed
   + "Fullscreen"    LaunchWWW rxvt  rxvt_full
   + "Transparent"   LaunchWWW aterm aterm

AddToMenu MuttMenu
   + "Normal"        LaunchMutt rxvt  rxvt
   + "Brushed"       LaunchMutt rxvt  rxvt
   + "Fullscreen"    LaunchMutt rxvt  rxvt_full
   + "Transparent"   LaunchMutt aterm aterm

AddToMenu SlrnMenu
   + "Normal"        LaunchSlrn rxvt  rxvt_compact
   + "Fullscreen"    LaunchSlrn rxvt  rxvt_full
   + "Transparent"   LaunchSlrn aterm aterm

AddToMenu LinksMenu
   + "Normal"        LaunchSlrn rxvt  rxvt_roomy
   + "Fullscreen"    LaunchSlrn rxvt  rxvt_full
   + "Transparent"   LaunchSlrn aterm aterm_roomy

AddToMenu WindowOpsMenu "Window Ops" Title
   + "Identify"             FvwmIdent
   + "Iconify      KP-/"    Iconify
   + "Maximize     KP-**"   MaximizeAndRaise
   + "Close        KP--"    Close
   + "Kill"                 Destroy
   + "Shade"                WindowShade
   + "Stick"                Stick
   + "Move"                 Move
   + "Resize"               Resize
   + "Move to"              Popup DeskMenu

AddToMenu DeskMenu
   + "Desk 1"        MoveToDesk 0 0
   + "Desk 2"        MoveToDesk 0 1
   + "Desk 3"        MoveToDesk 0 2
   + "Desk 4"        MoveToDesk 0 3

AddToMenu ThemeMenu
   + DynamicPopupAction     Function MakeThemeMenu

AddToMenu MP3PlaylistMenu
   + DynamicPopupAction      Function MakeMP3PlaylistMenu
   + MissingSubmenuFunction  MakeMP3PlaylistSubmenu

AddToMenu MP3ControlsMenu "MP3 Controls" Title
   + "Start       KP-Enter"  Exec perlmp3 -start
   + "Stop        KP-Del"    Exec perlmp3 -stop
   + "(Un)pause   Pause"     Exec perlmp3 -pause
   + "Next        KP-+"      Exec perlmp3 -next
   + "Previous"              Exec perlmp3 -prev

AddToMenu slashdot
   + DynamicPopupAction  Function MakeSlashdotMenu

################################# Mouse Ops ###################################

# Sweep away builtin mouse bindings
Mouse 0 R   N -
Mouse 1 T   A -
Mouse 1 FS  A -

# Root window
Mouse 1 R N Menu  RootMenu
Mouse 2 R N Menu  ThemeMenu
Mouse 3 R N Menu  MP3PlaylistMenu

# Titlebar
Mouse 1 T N Function TitlebarLeftClick
Mouse 2 T N Close
Mouse 3 T N Resize

# Titlebar Buttons
Mouse 0 1 N  Popup WindowOpsMenu
Mouse 0 2 N  Close
Mouse 1 4 N  Maximize
Mouse 2 4 N  Maximize 100 0
Mouse 3 4 N  Maximize 0 100
Mouse 1 6 N  Iconify
Mouse 3 6 N  WindowShade

# Sides
Mouse 1 S N Move
Mouse 2 S N Close
Mouse 3 S N Resize

# Corners
Mouse 1 F N Resize
Mouse 2 F N Close
Mouse 3 F N Move

# Mouse-grab with alt- for moving/resizing, click anywhere
Mouse 1 A M Move
Mouse 3 A M Resize

################################ Key Bindings #################################

# Window ops menu on alt-escape
Key Escape A M Menu WindowOpsMenu

# Bind various window ops
Key KP_Divide    A N Iconify
Key KP_Multiply  A N MaximizeAndRaise
Key KP_Subtract  A N Close
Key KP_Begin     A N Move
Key KP_Begin     A M Resize

# Circulate with left and right "window" keys (mapped by xmodmap)
Key KP_F1 A N  Prev (CurrentPage !Iconic !Shaded !rxvt_tiny) SelectWindow
Key KP_F2 A N  Next (CurrentPage !Iconic !Shaded !rxvt_tiny) SelectWindow

# Pop up various root menus via the "menu" key (mapped by xmodmap)
Key KP_F3 A N  Menu RootMenu
Key KP_F3 A M  Menu ThemeMenu
Key KP_F3 A C  Menu MP3PlaylistMenu
Key KP_F3 A S  Menu slashdot

# Circulate between top two windows with alt-tab
Key Tab A M Prev (!Iconic !Shaded) SelectWindowWithFlipFocus

# Focus the tiny xterm via alt-enter
Key Return A M  Next (rxvt_tiny) SelectWindow

# Switch pages via directional keypad (numlock off)
Key KP_Home  A N  Scroll  -100  -100
Key KP_End   A N  Scroll  -100   100
Key KP_Prior A N  Scroll   100  -100
Key KP_Next  A N  Scroll   100   100
Key KP_Left  A N  Scroll  -100     0
Key KP_Right A N  Scroll   100     0
Key KP_Up    A N  Scroll     0  -100
Key KP_Down  A N  Scroll     0   100

# Move a window to a different page via directional keypad (meta, numlock off)
Key KP_Home  A M  MoveToPage  -1p  -1p
Key KP_End   A M  MoveToPage  -1p   1p
Key KP_Prior A M  MoveToPage   1p  -1p
Key KP_Next  A M  MoveToPage   1p   1p
Key KP_Left  A M  MoveToPage  -1p   0p
Key KP_Right A M  MoveToPage   1p   0p
Key KP_Up    A M  MoveToPage   0p  -1p
Key KP_Down  A M  MoveToPage   0p   1p

# Switch desks via ctrl-keypad(left,right) (numlock off)
Key KP_Left  A C  GotoDesk -1
Key KP_Right A C  GotoDesk  1

# Exit-related keys (lock/restart/quit) - Alt F10-F12
Key F10 A M Exec xscreensaver-command -lock
Key F11 A M Restart
Key F12 A M Quit

# MP3 Controls
Key KP_Enter    A N Exec perlmp3 -start
Key KP_Delete   A N Exec perlmp3 -stop
Key KP_Add      A N Exec perlmp3 -next
Key Pause       A N Exec perlmp3 -pause

# Application launchers
Key F1  A N  LaunchTerm      rxvt   rxvt
Key F1  A S  LaunchTerm      rxvt   rxvt_brushed
Key F1  A M  LaunchTerm      rxvt   rxvt_full
Key F1  A C  LaunchTerm      aterm  aterm
Key F2  A N  LaunchRootTerm  rxvt   rxvt
Key F2  A S  LaunchRootTerm  rxvt   rxvt_brushed
Key F2  A M  LaunchRootTerm  rxvt   rxvt_full
Key F2  A C  LaunchRootTerm  aterm  aterm
Key F3  A N  LaunchIgs       rxvt   rxvt
Key F3  A S  LaunchIgs       rxvt   rxvt_brushed
Key F3  A M  LaunchIgs       rxvt   rxvt_full
Key F3  A C  LaunchIgs       aterm  aterm
Key F4  A N  LaunchWWW       rxvt   rxvt
Key F4  A S  LaunchWWW       rxvt   rxvt_brushed
Key F4  A M  LaunchWWW       rxvt   rxvt_full
Key F4  A C  LaunchWWW       aterm  aterm
Key F5  A N  LaunchMutt      rxvt   rxvt
Key F5  A S  LaunchMutt      rxvt   rxvt_brushed
Key F5  A M  LaunchMutt      rxvt   rxvt_full
Key F5  A C  LaunchMutt      aterm  aterm
Key F6  A N  LaunchSlrn      rxvt   rxvt_compact
Key F6  A M  LaunchSlrn      rxvt   rxvt_full
Key F6  A C  LaunchSlrn      aterm  aterm
Key F7  A N  LaunchNapster
Key F8  A N  LaunchScrabble
Key F9  A N  Exec wordmine
Key F10 A N  Exec netscape
Key F11 A N  Exec gimp
Key F12 A N  FvwmConsole -terminal rxvt

############################### Global Styles #################################

Style * ClickToFocus, MinOverlapPlacement, NoIcon, NoPPosition
Style * BorderWidth 4

############################# App-Specific Styles #############################

Style Fvwm*          CirculateSkip, NeverFocus, NoHandles, NoTitle, Sticky, WindowListSkip
Style FvwmConsole    CirculateHit, ClickToFocus, Handles, Title, Slippery, StaysPut, WindowListHit

Style asclock        CirculateSkip, NeverFocus, NoTitle, WindowListSkip
Style asmail         CirculateSkip, NeverFocus, NoTitle, WindowListSkip
Style asmem          CirculateSkip, NeverFocus, NoHandles, NoTitle, Sticky, WindowListSkip
Style gkrellm        BorderWidth 0, CirculateSkip, NoHandles, NoTitle, Sticky, WindowListSkip
Style GKrellM*       CirculateHit, Handles, Title, Slippery, WindowListHit
Style rxvt_tiny      NoHandles, NoTitle, Sticky, WindowListSkip
Style xcal           NoHandles, NoTitle
Style xclock         CirculateSkip, NeverFocus, NoHandles, NoTitle, Sticky, WindowListSkip
Style xload          CirculateSkip, NeverFocus, NoHandles, NoTitle, Sticky, WindowListSkip
Style xmms*          CirculateSkip, NoHandles, NoTitle
Style XMMS_Playlist  WindowListSkip
Style XMMS_Equalizer WindowListSkip

################################# Mini Icons ##################################

Style FvwmConsole  MiniIcon tiny_tools.xpm
Style Gimp*        MiniIcon tiny_color_spheres.xpm
Style gimp*        MiniIcon tiny_wilber.xpm
Style gv           MiniIcon ps.xpm
Style Netscape*    MiniIcon mounted_globe.xpm
Style qiv          MiniIcon multicolor_orb.xpm
Style toolbox      MiniIcon tiny_wilber.xpm
Style wordmine     MiniIcon wordmine.xpm
Style xli          MiniIcon multicolor_orb.xpm

Style xterm        MiniIcon term_flat.xpm
Style aterm        MiniIcon term_flat.xpm
Style "root xterm" MiniIcon term_cute_penguin.xpm
Style links        MiniIcon nextstep_monitor.xpm
Style MarlDOOM     MiniIcon scrabble_tile.xpm
Style mutt         MiniIcon mutt.xpm
Style Napster      MiniIcon napster_be.xpm
Style slrn         MiniIcon open_newspaper.xpm
Style igs.net      MiniIcon igs.xpm
Style www.igs.net  MiniIcon www.xpm

################################ Module Config ################################

*FvwmIconMan*background            #A0A0A5
*FvwmIconMan*font                  -*-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*
*FvwmIconMan*managergeometry       1x0+0+208
#*FvwmIconMan*managergeometry       1x0+0+412
*FvwmIconMan*buttongeometry        130x20
*FvwmIconMan*resolution            desk
*FvwmIconMan*followfocus           true
*FvwmIconMan*plainbutton           up Black   #B0B0B5
*FvwmIconMan*focusbutton           up #A00000 #B0B0B5
*FvwmIconMan*selectbutton          up #D0D0D0 Black
*FvwmIconMan*focusandselectbutton  up #D0D0D0 Black
*FvwmIconMan*format                %t
*FvwmIconMan*sort                  none
*FvwmIconMan*action                Mouse 1 N sendcommand SelectWindow
*FvwmIconMan*action                Mouse 2 N sendcommand Close
*FvwmIconMan*action                Mouse 3 N sendcommand Iconify

*FvwmPager: Geometry         131x128+0+0
*FvwmPager: Label 0          "Desk 1"
*FvwmPager: Label 1          "Desk 2"
*FvwmPager: Label 2          "Desk 3"
*FvwmPager: Label 3          "Desk 4"
*FvwmPager: Fore             #A0A0A5
*FvwmPager: Back             #486070
*FvwmPager: Hilight          #204060
*FvwmPager: MiniIcons
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]